package DB;

import javax.swing.*;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class Connexion {
    private static String[] getCredentials() {
        File f = new File("credentials.txt");

        try {
            if (f.createNewFile() || f.length() == 0) {
                JOptionPane.showMessageDialog(null, "No credentials !");
                System.exit(1);
                return null;
            } else {
                FileReader fr = new FileReader(f);
                BufferedReader br = new BufferedReader(fr);
                String url = br.readLine();
                String username = br.readLine();
                String password = br.readLine();
                return new String[]{url, username, password};
            }
        } catch (IOException e) {
            return null;
        }
    }

    public static Connection getConnexion() {
        String[] credentials = getCredentials();

        try {
            Class.forName("oracle.jdbc.driver.OracleDriver");
            if (credentials == null)
                throw new NullPointerException();
            return DriverManager.getConnection(credentials[0], credentials[1], credentials[2]);
        } catch (SQLException e) {
            JOptionPane.showMessageDialog(null, "Can't connect to the database !");
            System.exit(1);
        } catch (ClassNotFoundException e) {
            JOptionPane.showMessageDialog(null, "Database driver not found !");
            System.exit(1);
        }
        return null;
    }
}
