package GUI;

import DB.Request;
import Objects.Owner;

import javax.swing.*;
import java.awt.event.*;

public class LoginGUI extends JDialog {
    private JPanel contentPane;
    private JButton logginButton;
    private JButton cancelButton;
    private JTextField lastNameField;
    private JTextField zipField;

    public LoginGUI() {
        setTitle("Login");
        setLocationRelativeTo(null);
        setContentPane(contentPane);
        setModal(true);
        getRootPane().setDefaultButton(logginButton);

        logginButton.addActionListener(actionEvent -> onLogin());

        cancelButton.addActionListener(actionEvent -> onCancel());

        // call onCancel() when cross is clicked
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                onCancel();
            }
        });

        // call onCancel() on ESCAPE
        contentPane.registerKeyboardAction(actionEvent -> onCancel(), KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
        pack();
        setVisible(true);
    }

    private void onLogin() {
        Owner owner = Request.getOwner(lastNameField.getText(), zipField.getText());
        if (owner != null) {
            dispose();
            new ListCottageGUI(owner);
        } else
            JOptionPane.showMessageDialog(null, "Invalid login !");
    }

    private void onCancel() {
        // add your code here if necessary
        dispose();
    }

    public static void main(String[] args) {
        new LoginGUI();
    }
}
